evs:
  host: 'http://localhost:18180'
  path: 'EVSClient/'
  admin:
    email: 'contact@evsclient.net'
    name: 'contact'
    title: 'IHE Europe Technical Manager'
gazelle:
  home: '/opt/EVSClient_prod'
  xsl:
    root: 'https://gazelle.ihe.net/xsl'
  validators:
    root: 'https://qualification3.ihe-europe.net'
cas:
  enabled: false
  url: 'https://localhost/sso/login'
services:
  embedded:
    -
      name: 'CROSS_VALIDATEUR_GENERIQUE'
      xsl-path: 'EVSClient/TODO/TODOvalidatorDetailedResult.xsl'
      report_format: 'XML'
      description: ''
      validation_type: 'XVAL'
      factory_canonical_classname: 'net.ihe.gazelle.evsclient.interlay.adapters.validationservice.factory.CrossValidationServiceFactory'
      available: true
      wsdl-path: 'none'
      wsdl-url: 'none'
      zip_transport: false
    -
      name: 'PDF Validation Service'
      xsl-path: 'EVSClient/TODO/TODOPdfvalidatorDetailedResult.xsl'
      report_format: 'XML'
      description: ''
      validation_type: 'PDF'
      factory_canonical_classname: 'net.ihe.gazelle.evsclient.interlay.adapters.validationservice.factory.PdfValidationServiceFactory'
      available: true
      wsdl-path: 'none'
      wsdl-url: 'none'
      zip_transport: false
    -
      name: 'PixelMed Validation Service'
      xsl-path: 'none'
      report_format: 'XML'
      description: ''
      validation_type: 'DICOM'
      factory_canonical_classname: 'net.ihe.gazelle.evsclient.interlay.adapters.validationservice.factory.PixelMedValidationServiceFactory'
      available: true
      wsdl-path: 'none'
      wsdl-url: 'none'
      zip_transport: false
  system:
  # by default no system validation services are defined
  #
  # system validation services for local dev can be defines in "./dev/${env.USER}" subdirectory ; they are used if -Pdev maven profile is activated
  # system validation services for IT are defined in "./it" subdirectory ; they are used if -Pit maven profile is activated
  #
  # system validation services dedicated to specifics installation may be defined in dedicated subdirectory in conjunction with dedicated maven profile
  # see ./it/services.*.mustache for examples of services declarations
  web:
    # it web services
    -
      name: 'ANS Schematron CDA Validator'
      xsl-path: 'EVSClient/Schematron/schematronResultStylesheet4EVSC.xsl'
      report_format: 'XML'
      description: 'https://interop-pprod.esante.gouv.fr/SchematronValidator-ejb/SchematronValidatorService/SchematronValidator?wsdl'
      validation_type: 'CDA'
      factory_canonical_classname: 'net.ihe.gazelle.evsclient.interlay.adapters.validationservice.factory.SchematronValidationServiceFactory'
      available: true
      wsdl-url: 'https://interop-pprod.esante.gouv.fr/SchematronValidator-ejb/SchematronValidatorService/SchematronValidator?wsdl'
      zip_transport: false
    -
      name: 'Schematron CDA Validator'
      xsl-path: 'EVSClient/Schematron/schematronResultStylesheet4EVSC.xsl'
      report_format: 'XML'
      description: ''
      validation_type: 'CDA'
      factory_canonical_classname: 'net.ihe.gazelle.evsclient.interlay.adapters.validationservice.factory.SchematronValidationServiceFactory'
      available: true
      wsdl-path: 'SchematronValidator-ejb/SchematronValidatorService/SchematronValidator?wsdl'
      wsdl-url: 'https://interop-pprod.esante.gouv.fr/SchematronValidator-ejb/SchematronValidatorService/SchematronValidator?wsdl'
      zip_transport: false
    -
      name: 'Model-Based CDA Validator'
      xsl-path: 'EVSClient/cda/filteredReport.xsl'
      report_format: 'XML'
      description: ''
      validation_type: 'CDA'
      factory_canonical_classname: 'net.ihe.gazelle.evsclient.interlay.adapters.validationservice.factory.ModelBasedValidationServiceFactory'
      available: true
      wsdl-url: 'https://interop-pprod.esante.gouv.fr/CDAGenerator-ejb/ModelBasedValidationWSService/ModelBasedValidationWS?wsdl'
      zip_transport: false
    -
      name: 'XDStar Metadata validation service'
      xsl-path: 'EVSClient/xds/xdsValidatorDetailedResult.xsl'
      report_format: 'XML'
      description: ''
      validation_type: 'XDS'
      factory_canonical_classname: 'net.ihe.gazelle.evsclient.interlay.adapters.validationservice.factory.ModelBasedValidationServiceFactory'
      available: true
      wsdl-url: 'https://interop-pprod.esante.gouv.fr/XDStarClient-ejb/ModelBasedValidationWSService/ModelBasedValidationWS?wsdl'
      zip_transport: false
    -
      name: 'HL7v2_GAZELLE'
      xsl-path: 'EVSClient/hl7v2/resultStylesheetFiltered.xsl'
      report_format: 'XML'
      description: ''
      validation_type: 'HL7V2'
      factory_canonical_classname: 'net.ihe.gazelle.evsclient.interlay.adapters.validationservice.factory.Hl7v2ValidationServiceFactory'
      available: true
      wsdl-url: 'https://interop-pprod.esante.gouv.fr/GazelleHL7v2Validator-ejb/gazelleHL7v2ValidationWSService/gazelleHL7v2ValidationWS?wsdl'
      zip_transport: false
    -
      name: 'MBV - HL7V3 validation service'
      xsl-path: 'EVSClient/hl7v3/hl7v3validatorDetailedResult.xsl'
      report_format: 'XML'
      description: ''
      validation_type: 'HL7V3'
      factory_canonical_classname: 'net.ihe.gazelle.evsclient.interlay.adapters.validationservice.factory.ModelBasedValidationServiceFactory'
      available: true
      wsdl-url: 'https://gazelle.ihe.net/GazelleHL7v2Validator-ejb/ModelBasedValidationWSService/ModelBasedValidationWS?wsdl'
      zip_transport: false
    -
      name: 'Schematron XML Validator'
      xsl-path: 'EVSClient/Schematron/schematronResultStylesheet4EVSC.xsl'
      report_format: 'XML'
      description: ''
      validation_type: 'XML'
      factory_canonical_classname: 'net.ihe.gazelle.evsclient.interlay.adapters.validationservice.factory.SchematronValidationServiceFactory'
      available: true
      wsdl-url: 'http://qualification.ihe-europe.net:8180/SchematronValidator-ejb/SchematronValidatorService/SchematronValidator?wsdl'
      zip_transport: false
    -
      name: 'Gazelle FHIR Validator'
      xsl-path: 'EVSClient/Schematron/schematronResultStylesheet4EVSC.xsl'
      report_format: 'XML'
      description: ''
      validation_type: 'FHIR'
      factory_canonical_classname: 'net.ihe.gazelle.evsclient.interlay.adapters.validationservice.factory.ModelBasedValidationServiceFactory'
      available: true
      wsdl-path: 'FhirValidator-ejb/ModelBasedValidationWSService/ModelBasedValidationWS?wsdl'
      wsdl-url: 'https://interop-pprod.esante.gouv.fr/FhirValidator-ejb/ModelBasedValidationWSService/ModelBasedValidationWS?wsdl'
      zip_transport: false
    -
      name: 'ANS Schematron XML Validator'
      xsl-path: 'EVSClient/Schematron/schematronResultStylesheet4EVSC.xsl'
      report_format: 'XML'
      description: 'https://interop-pprod.esante.gouv.fr/SchematronValidator-ejb/SchematronValidatorService/SchematronValidator?wsdl'
      validation_type: 'XML'
      factory_canonical_classname: 'net.ihe.gazelle.evsclient.interlay.adapters.validationservice.factory.SchematronValidationServiceFactory'
      available: true
      wsdl-url: 'https://interop-pprod.esante.gouv.fr/SchematronValidator-ejb/SchematronValidatorService/SchematronValidator?wsdl'
      zip_transport: false
    -
      name: 'Gazelle FHIR URL Validator'
      xsl-path: 'EVSClient/hl7v3/hl7v3validatorDetailedResult.xsl'
      report_format: 'XML'
      description: ''
      validation_type: 'FHIR'
      factory_canonical_classname: 'net.ihe.gazelle.evsclient.interlay.adapters.validationservice.factory.ModelBasedValidationServiceFactory'
      available: true
      wsdl-path: 'FhirValidator-ejb/ModelBasedValidationWSService/ModelBasedValidationWS?wsdl'
      wsdl-url: 'https://gazelle.ihe.net/FhirValidator-ejb/ModelBasedValidationWSService/ModelBasedValidationWS?wsdl'
      zip_transport: false
standards:
  # it standards
  -
    display_name: 'CDA ModelBased (ASIP)'
    validator_filter: 'ASIP'
    description: ''
    validation_type: 'CDA'
    icon_style_class: 'gzl-font gzl-hl7'
    services:
      - name: 'Model-Based CDA Validator'
    stylesheets:
      -
        name: cda_basic_v3.0.0
        xsl-path: CDA/hl7/CDA%202.xsl
      -
        name: ASIP
        xsl-path: CDA/asip/cda_asip.xsl
  -
    display_name: 'CDA Schematron (ASIP)'
    validator_filter: 'CDA-ASIP'
    description: ''
    validation_type: 'CDA'
    icon_style_class: 'gzl-font gzl-hl7'
    services:
      - name: 'Schematron CDA Validator'
    stylesheets:
      -
        name: cda_basic_v3.0.0
        xsl-path: CDA/hl7/CDA%202.xsl
      -
        name: ASIP
        xsl-path: CDA/asip/cda_asip.xsl
  -
    display_name: 'CDA (ASIP)'
    validator_filter: 'CDA-ASIP'
    description: ''
    validation_type: 'CDA'
    icon_style_class: 'gzl-font gzl-hl7'
    services:
      - name: 'ANS Schematron CDA Validator'
  -
    display_name: 'CDA (IHE)'
    validator_filter: 'CDA-IHE'
    description: ''
    validation_type: 'CDA'
    icon_style_class: 'gzl-font gzl-hl7'
    services:
      - name: 'ANS Schematron CDA Validator'
  -
    display_name: 'CDA (CCD)'
    validator_filter: 'CDA-CCD'
    description: ''
    validation_type: 'CDA'
    icon_style_class: 'gzl-font gzl-hl7'
    services:
      - name: 'ANS Schematron CDA Validator'
  -
    display_name: 'CDA (C-CDA)'
    validator_filter: 'CDA-C-CDA'
    description: ''
    validation_type: 'CDA'
    icon_style_class: 'gzl-font gzl-hl7'
    services:
      -  name: 'ANS Schematron CDA Validator'
  -
    display_name: 'CDA (EXPAND)'
    validator_filter: 'CDA-EXPAND'
    description: 'EXPAND validation, this validator is based on art-decor import of requirements to Gazelle ObjectsChecker, and the integration of the schematrons generated using art-decor'
    validation_type: 'CDA'
    icon_style_class: 'gzl-font gzl-hl7'
    services:
      - name: 'ANS Schematron CDA Validator'
  -
    display_name: 'CDA (IHE France)'
    validator_filter: 'CDA-IHE France'
    description: 'Validation of CDA document in the context of the IHE France'
    validation_type: 'CDA'
    icon_style_class: 'gzl-font gzl-hl7'
    services:
      - name: 'ANS Schematron CDA Validator'
  -
    display_name: 'XD* metadata (ASIP)'
    validator_filter: 'ASIP'
    description: ''
    validation_type: 'XDS'
    icon_style_class: 'fa fa-code'
    services:
      - name: 'XDStar Metadata validation service'
  -
    display_name: 'XD* metadata (IHE)'
    validator_filter: 'IHE'
    description: ''
    validation_type: 'XDS'
    icon_style_class: 'fa fa-code'
    services:
      - name: 'XDStar Metadata validation service'
  -
    display_name: 'HL7v2.x (IHE)'
    validator_filter: 'IHE'
    description: ''
    validation_type: 'HL7V2'
    icon_style_class: 'gzl-font gzl-hl7'
    services:
      - name: 'HL7v2_GAZELLE'
  -
    display_name: 'HL7v3 (IHE)'
    validator_filter: 'IHE'
    description: ''
    validation_type: 'HL7V3'
    icon_style_class: 'gzl-font gzl-hl7'
    services:
      - name: 'MBV - HL7V3 validation service'
  -
    display_name: 'Hprim XML (IHE France)'
    validator_filter: 'HPRIM-IHE France'
    description: ''
    validation_type: 'XML'
    icon_style_class: 'fa fa-code'
    services:
      - name: 'ANS Schematron XML Validator'
  -
    display_name: 'HL7v2.x (IHE France)'
    validator_filter: 'IHE France'
    description: ''
    validation_type: 'HL7V2'
    icon_style_class: 'gzl-font gzl-hl7'
    services:
      - name: 'HL7v2_GAZELLE'
  -
    display_name: 'FHIR'
    validator_filter: 'ANS'
    description: ''
    validation_type: 'FHIR'
    icon_style_class: 'fa fa-fire'
    services:
      - name: 'Gazelle FHIR Validator'
  -
    display_name: 'FHIR URL'
    validator_filter: 'IHE'
    description: ''
    validation_type: 'FHIR'
    icon_style_class: 'fa fa-fire'
    services:
      - name: 'Gazelle FHIR URL Validator'
  -
    display_name: 'Gazelle Cross Validation'
    validator_filter: 'IHE'
    description: ''
    validation_type: 'XVAL'
    icon_style_class: 'fa fa-sitemap'
    services:
      - name: 'CROSS_VALIDATEUR_GENERIQUE'


menus:
  # it menus
  -
    is_available: true
    label: 'TEST'
    order_in_gui: 1
    standards:
      -
        display_name: 'HL7v2.x (IHE)'
        validator_filter: 'IHE'
      -
        display_name: 'HL7v3 (IHE)'
        validator_filter: 'IHE'
      -
        display_name: 'CDA ModelBased (ASIP)'
        validator_filter: 'ASIP'
      -
        display_name: 'CDA Schematron (ASIP)'
        validator_filter: 'CDA-ASIP'
      -
        display_name: 'XD* metadata (ASIP)'
        validator_filter: 'ASIP'
      -
        display_name: 'FHIR'
        validator_filter: 'ANS'
      -
        display_name: 'FHIR URL'
        validator_filter: 'IHE'
      -
        display_name: 'Gazelle Cross Validation'
        validator_filter: 'IHE'
  -
    is_available: true
    label: 'ANS'
    order_in_gui: 2
    standards:
      -
        display_name: 'CDA (ASIP)'
        validator_filter: 'CDA-ASIP'
      -
        display_name: 'XD* metadata (ASIP)'
        validator_filter: 'ASIP'
  -
    is_available: true
    label: 'IHE'
    order_in_gui: 3
    standards:
      -
        display_name: 'CDA (C-CDA)'
        validator_filter: 'CDA-C-CDA'
      -
        display_name: 'CDA (IHE)'
        validator_filter: 'CDA-IHE'
      -
        display_name: 'CDA (CCD)'
        validator_filter: 'CDA-CCD'
      -
        display_name: 'CDA (EXPAND)'
        validator_filter: 'CDA-EXPAND'
      -
        display_name: 'HL7v2.x (IHE)'
        validator_filter: 'IHE'
      -
        display_name: 'HL7v3 (IHE)'
        validator_filter: 'IHE'
      -
        display_name: 'XD* metadata (IHE)'
        validator_filter: 'IHE'
  -
    is_available: true
    label: 'IHE France'
    order_in_gui: 4
    standards:
      -
        display_name: 'HL7v2.x (IHE France)'
        validator_filter: 'IHE France'
      -
        display_name: 'Hprim XML (IHE France)'
        validator_filter: 'HPRIM-IHE France'
